summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch')
-rwxr-xr-xt/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch39
1 files changed, 39 insertions, 0 deletions
diff --git a/t/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch b/t/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch
new file mode 100755
index 0000000..65cbf37
--- /dev/null
+++ b/t/recipes/checks/files/contents/legacy-scripts/build-spec/orig/gccbug.dpatch
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+
+# DP: Use sensible-editor instead of vi as fallback editor
+
+# Taken from gcc-4.1-source. Chokes bash -n (due to the patch) despite being
+# a valid dpatch, so don't warn about it if it's in /usr/src.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+--- gcc/gccbug.in~ 2003-03-01 00:51:42.000000000 +0100
++++ gcc/gccbug.in 2003-03-02 12:08:36.000000000 +0100
+@@ -134,7 +134,7 @@
+ # If they don't have a preferred editor set, then use
+ if [ -z "$VISUAL" ]; then
+ if [ -z "$EDITOR" ]; then
+- EDIT=vi
++ EDIT=/usr/bin/sensible-editor
+ else
+ EDIT="$EDITOR"
+ fi